Subject: Re: bug#25219: 26.0.50; ispell failing

From: Reuben Thomas <[email-masked]>
Date: Sun, 18 Dec 2016 16:57:44 +0000

On 18 December 2016 at 16:08, Alan Third <[email-masked]> wrote:

> On Sun, Dec 18, 2016 at 05:18:15PM +0200, Eli Zaretskii wrote:
> >
> > We definitely need to keep the -1 offset there.  (It was previously
> > supplied by ispell-offset, but that variable was deleted.)  The reason
> > for the offset is that the line we send to the speller has a "^"
> > prepended to it (see the documentation of the Ispell interface for the
> > reason why).
>

​Apologies for introducing this bug. I deleted this -1 on purpose, but I
misread the (logical) sense of ispell-offset with respect to the version of
ispell, so I managed to parlay a logical negation error into an off-by-one
error.

-- 
http://rrt.sc3d.org